//
//  ISAutoCaptureCornerPointController.h
//  ISAutpCapturePicture
//
//  Created by Simon Liu on 2017/9/7.
//  Copyright © 2017年 xzliu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <ISOpenSDKFoundation/ISOpenSDKFoundation.h>

typedef void(^ConstructResourcesFinishHandler)(ISOpenSDKStatus status);

@interface ISAutoCaptureCornerPointController : NSObject


/**
 *  单例对象
 *
 *  @return 自动拍照图像处理控制器单例
 *
 */
+ (ISAutoCaptureCornerPointController *) sharedISOpenSDKController;


/**
 *  如果使用自定义的相机模块，初始化SDK模块，验证appkey
 *
 *  @param appKey    申请获得的SDK，用于授权
 *  @param subAppKey 为扩展而留，当前请传空
 *  @param handler SDK的授权状态，如果SDK未授权或者之前授权不成功，将不会返回边缘检测结果和识别结果
 *
 */
- (void)constructResourcesWithAppKey:(NSString *)appKey subAppkey:(NSString *)subAppKey finishHandler:(ConstructResourcesFinishHandler)handler;

/**
 *  如果使用自定义的相机模块，检测拍照证件的方法
 *
 *  @param sampleBuffer            需要识别的的图像数据，YUV格式
 *  @param rect                    需要识别的图像位置
 *  @param detectCardFinishHandler 边缘检测的回调Block，result为检测结果，大于0表示检测成功，borderPointsArray为检测出的8个角点数组
 *
 *  @return SDK的授权状态，如果SDK未授权或者之前授权不成功，将不会返回边缘检测结果和识别结果
 */
- (ISOpenSDKStatus)detectCardWithOutputSampleBuffer:(CMSampleBufferRef)sampleBuffer
                                           cardRect:(CGRect)rect
                            detectCardFinishHandler:(DetectCardFinishHandler)detectCardFinishHandler;
@end
